# Contributing

## With an issue

We are glad about every mistake you find, ever idea you have and every enhancement that is possible.
Just write down:

 - What is the situation?
 - What is expected?
 - What happens instead?
 - (What is the specific problem?)

Here. Take this template:

```
### Situation - How did you get there?

### Problem - What went wrong?

### Possible solution - How should it be?
```

## On your own

1. [Fork it](https://github.com/ebizmarts/magento2-abandonedcart/fork)
2. Create your feature branch (`git checkout -b develop-feature develop`)
3. Write a failing test
4. Commit your changes with passing tests (`git commit -am 'Add some feature'`)
5. Push to the branch (`git push origin develop-feature`)
6. Create new Pull Request

## Code style / Git / Versions

Style: PSR

We work with: [A successful Git branching model](http://nvie.com/posts/a-successful-git-branching-model/) and [Semantic Versioning 2.0.0](http://semver.org/)
